// Copyright (C) 1995 Don Yacktman
// Use is governed by the MiscKit license

#import "MiscLogSliderInspector.h"
#import "MiscLogSlider.subproj/MiscLogSlider.h"

@implementation MiscLogSliderInspector

- init
{
	char buf[MAXPATHLEN + 1];
	id bundle;
    
	[super init]; // The superclass will attempt to load .nib we don't need...
	bundle = [NXBundle bundleForClass:[MiscLogSlider class]];
	[bundle getPath:buf forResource:"MiscLogSliderInspector" ofType:"nib"];
	[NXApp loadNibFile:buf owner:self withNames:NO fromZone:[self zone]];
	return self;
}

- revertCell:cell sender:sender
{
	[[valuesForm findCellWithTag:3] setDoubleValue:[cell base]];
	return [super revertCell:cell sender:sender];
}

- okCell:cell sender:sender
{
	[cell setBase:[[valuesForm findCellWithTag:3] doubleValue]];
	return [super okCell:cell sender:sender];
}

- ok:sender
{
	[object setBase:[[valuesForm findCellWithTag:3] doubleValue]];
	return [super ok:sender];
}

- revert:sender
{
	[[valuesForm findCellWithTag:3] setDoubleValue:[object base]];
	return [super revert:sender];
}

@end
